require 'rake'

desc "Run all tests"
task :test do 
  require 'rake/runtest'
  Rake.run_tests 'test/*.rb'
end

namespace :test do
  CVG_OUT = "coverage"
  desc "Generate a coverage report for tests in #{CVG_OUT}/index.html"
  task :rcov do
    rm_rf CVG_OUT
    sh "rcov test/*.rb"
  end
end
